Overview | Modules | Class Hierarchy | Classes | Members
# tlp::GraphPropertiesTableWidget Class Reference `#include <GraphPropertiesTableWidget.h>` List of all members. ## Detailed Description Widget to display properties for a graph. Widget to display properties for a graph. User can filter displayed properties in function of their name with a QRegularExpression. Property name don't need to fully match regular expression to be displayed, if only one part of the name match the property is displayed. ## Public Types enum PropertyType { All, User, View } ## Public Member Functions GraphPropertiesTableWidget (QWidget *parent=NULL) virtual ~GraphPropertiesTableWidget () virtual void setGraph (tlp::Graph *newGraph) virtual void updateTable () Clear and redraw the widget. Graph * getGraph () const std::vector< std::string > getSelectedPropertiesNames () const void setSelectedPropertiesNames (const std::vector< std::string > &selectedProperties) Update the properties selection. Do not emit the selection changed signal. std::vector< std::string > getDisplayedPropertiesNames () const Get the list of the properties currently displayed in the table. virtual std::string getPropertyNameForRow (int row) const void setPropertyTypeFilter (PropertyType typeFilter) Set the kind of view to display. PropertyType getPropertyType () const void setPropertyNameFilter (const QRegExp &nameRegExp) Set a regular expression to filter the properties on their name. ## Protected Member Functions virtual QStringList getHeaderList () const virtual QTableWidgetItem * createPropertyItem (PropertyInterface *property, int column) ## Member Enumeration Documentation
enum tlp::GraphPropertiesTableWidget::PropertyType
  | Enumerator:
  All |
  User |
  View |
## Constructor & Destructor Documentation
tlp::GraphPropertiesTableWidget::GraphPropertiesTableWidget | ( | QWidget * | parent = `NULL` | ) |
virtual tlp::GraphPropertiesTableWidget::~GraphPropertiesTableWidget | ( |  | ) | `[virtual]`
## Member Function Documentation
virtual QTableWidgetItem* tlp::GraphPropertiesTableWidget::createPropertyItem | ( | PropertyInterface * | property,
|  | int | column
| ) | `[protected, virtual]`
  | Return the QTableWidgetItem for the given property and the given column. Parameters:
  | property | The property interface of the item.
  | column | The column number of the item to create.
std::vector<std::string> tlp::GraphPropertiesTableWidget::getDisplayedPropertiesNames | ( |  | ) | const
| Get the list of the properties currently displayed in the table.
Graph* tlp::GraphPropertiesTableWidget::getGraph | ( |  | ) | const`[inline]`
virtual QStringList tlp::GraphPropertiesTableWidget::getHeaderList | ( |  | ) | const`[protected, virtual]`
| Return the column headers list. Each string in the list correspond to a column in the table. This function is called when filling the table. Returns: The list of the headers for the columns.
virtual std::string tlp::GraphPropertiesTableWidget::getPropertyNameForRow | ( | int | row | ) | const`[virtual]`
PropertyType tlp::GraphPropertiesTableWidget::getPropertyType | ( |  | ) | const`[inline]`
std::vector<std::string> tlp::GraphPropertiesTableWidget::getSelectedPropertiesNames | ( |  | ) | const
virtual void tlp::GraphPropertiesTableWidget::setGraph | ( | tlp::Graph * | newGraph | ) | `[virtual]`
void tlp::GraphPropertiesTableWidget::setPropertyNameFilter | ( | const QRegExp & | nameRegExp | ) |
| Set a regular expression to filter the properties on their name.
void tlp::GraphPropertiesTableWidget::setPropertyTypeFilter | ( | PropertyType | typeFilter | ) |
| Set the kind of view to display.
void tlp::GraphPropertiesTableWidget::setSelectedPropertiesNames | ( | const std::vector< std::string > & | selectedProperties | ) |
| Update the properties selection. Do not emit the selection changed signal.
virtual void tlp::GraphPropertiesTableWidget::updateTable | ( |  | ) | `[virtual]`
| Clear and redraw the widget.

Tulip Software by LaBRI Visualization Team 2001 - 2010